<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM ked WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$a = $array -> fetch();
$title->SetTitle('База мошенников - Мошенник '.$a['nick']);

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>База мошенников </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/blacklist" rel="v:url" property="v:title">База мошенников</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Мошенник ' .$a['nick'].'</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/blacklist/"><i class="md-format-list-bulleted"></i> База мошенников</a> - Мошенник ' .$a['nick'].'</div>';
if ($b['level'] > 4) {
echo '<ul class="nav nav-pills nav-stacked"><li><a href="?id='.$id.'&del"><i class="md-shuffle"></i> [Удалить мошенника]</a></ul>';
}
if ($b['level'] < 4) {
if ($a['type'] == 0) {
echo '<div class="error"><img src="/assets/images/warning.png" alt="*" align="middle" /> Анкета мошенника на модерации!</div>'; 
///Подключаем меню
$title->GetMenu();
///Подключаем футер
$title->GetFooter();
exit;
}
}
if (isset($_GET['del'])) {
if ($b['level'] > 4) {
header('location: /');
}
DB::$dbs->query("UPDATE blogger SET mosh = ? WHERE id = ?", [0,$a['user_id']]);
DB::$dbs -> query ("DELETE FROM ked WHERE id = ?",[$id]);
header('location: /blacklist');
}
if ($a['type'] == 0) {
echo '<div class="error"><img src="/assets/images/warning.png" alt="*" align="middle" /> Анкета мошенника на модерации!</div>'; 
}
echo '<div class="row text_box"><i class="md-group"></i> '.Nick($a['user_id']).' (Добавлен: '.vr($a['time']).') </a></div>
<div class="row text_box"><i class="md-group"></i> <b>Добавил:</b> '.Nick($a['who_add']).'</div>
<div class="row text_box"><i class="md-group"></i> <b>Ник на этом сайте:</b> '.$a['nick'].'</div>
<div class="row text_box"><i class="md-group"></i> <b>Ники в сети:</b> '.$a['nicks'].'</div>
<div class="row text_box"><i class="md-comment"></i> <b>Описание:</b></br>'.text($a['info']).'</div>
<div class="row text_box"><i class="md-comment"></i> E-mail: '.$a['mail'].'</div>
<div class="row text_box"><i class="md-comment"></i> ICQ: '.$a['icq'].'</div>';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <b>Платежные реквизиты:</b> </div><div class="row text_box">
&#187; WMID: <a href="https://passport.webmoney.ru/asp/CertView.asp?wmid='.$a['wmid'].'" class="href">'.$a['wmid'].'</a><br>
&#187; WMR кошелёк: <a href="http://search.wmtransfer.com/?w=w&q=R'.$a['wmr'].'" class="href">R'.$a['wmr'].'</a><br/>
&#187; BL <img src="https://bl.wmtransfer.com/img/bl/'.$a['wmid'].'?w=35&h=18" /><br/>
&#187; Претензии/Отзывы: <img src="http://arbitrage.webmoney.ru/xml/AL.aspx?wmid='.$a['wmid'].'" /></div>';

echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <b>Скриншот:</b></div>
<div class="row text_box"> <br /><a href="/files/ked/'.$a['screen'].'"><img src="/files/ked/'.$a['screen'].'" alt="*" style="max-width:100%; border-bottom-left-radius: 20px; border-bottom-right-radius: 20px; border-top-right-radius: 20px; border-top-left-radius: 20px;"/></a><br/><br/>
<input type="text" class="form-control" name="username" value="http://'.homeurl.'/blacklist/view.php?id='.$id.'"/></div>';


///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>